/* DYNAMIC SC DENSE CODE. count-bytes version -- 
A dynamic word-based byte oriented compressor for text files based on 
(s,c)-Dense Code.

Programmed by Antonio Faria
Copyright (C) 2006  Nieves R. Brisaboa, Gonzalo Navarro, Antonio Faria and Jos R. Param
Author's contact: antonio.fari@gmail.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/* Gives support to perform  measures of time*/


#ifndef _TIMER_H
#define TIMER_H

#include <stdio.h>
#include <malloc.h>
#include <sys/time.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>

	/* Takes note of the initial time */	
	void StartTime();
	/* Takes note of the final time and outputs the execution time */
	void StopTime();
	/* Takes note of the initial time */
	void StartRusageTime();
	/* Takes note of the final time and outputs the execution time to
	   standard output and to a file. */
	void StopRusageTime(char *fileName, char *note);

#endif
